spring2.5可以整合mybatis3.0.4吗

之前做过spring3整合mybatis的demo,但是现在项目要求spring2.5,在网上查了好多信息,基本没有这部分内容,不知道spring2.5可以整合mybatis么?是否也需要mybatis-spring.jar?给点相应的文章或者小demo参考下,谢谢~

2个回答

pangxuexhi
pangxuexhi 谢谢,准备用spring3了
7 年多之前 回复
jinnianshilongnian
jinnianshilongnian 那就直接ibatis吧 别搞mybatis了。 1、项目升级为spring3 2、改成ibatis [url]http://www.mybatis.org/spring//url]官网很清楚的说至少3 Requirements Before starting with MyBatis-Spring integration, it is very important that you are familiar with both MyBatis and Spring terminology. This document does not attempt to provide background information or basic setup and configuration tutorials for either MyBatis or Spring. MyBatis-Spring requires Java 5 or higher and the following MyBatis and Spring versions: MyBatis-Spring MyBatis Spring 1.0.0 and 1.0.1 3.0.1 to 3.0.5 3.0.0 or higher 1.0.2 3.0.6 3.0.0 or higher 1.1.0 or higher 3.1.0 or higher 3.0.0 or higher
7 年多之前 回复
pangxuexhi
pangxuexhi 我也很无语啊,刚来这个项目,项目原来就是spring2.5,现在又需要mybatis,所以我就纠结了。看到网上有写spring2.5 ibatiS3.x的整合,不知道对我这情况有没有帮助?(PS:ibatis没有用过,如果说错了,别介意啊)
7 年多之前 回复
jinnianshilongnian
jinnianshilongnian 既然选了mybatis 那就使用spring3呗 而且spring3本身不提供集成mybatis 需要第三方的mybatis-spring.jar
7 年多之前 回复

不行。请用spring 3.*

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问